Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.xssf.model
Class CommentsTable

    java.lang.Object
      org.apache.poi.POIXMLDocumentPart
          org.apache.poi.xssf.model.CommentsTable

    public class CommentsTable

extends POIXMLDocumentPart

Field Summary

Fields inherited from class org.apache.poi.POIXMLDocumentPart
`DEFAULT_XML_OPTIONS`

Constructor Summary
`CommentsTable()`
`CommentsTable(PackagePart part, PackageRelationship rel)`

Method Summary
`int` | `findAuthor(java.lang.String author)`
`XSSFComment` | `findCellComment(java.lang.String cellRef)`
`java.lang.String` | `getAuthor(long authorId)`
`org.openxmlformats.schemas.spreadsheetml.x2006.main.CTComment` | `getCTComment(java.lang.String cellRef)`
`org.openxmlformats.schemas.spreadsheetml.x2006.main.CTComments` | `getCTComments()`
`int` | `getNumberOfAuthors()`
`int` | `getNumberOfComments()`
`org.openxmlformats.schemas.spreadsheetml.x2006.main.CTComment` | `newComment()`
`void` | `readFrom(java.io.InputStream is)`
`void` | `referenceUpdated(java.lang.String oldReference, org.openxmlformats.schemas.spreadsheetml.x2006.main.CTComment comment)` Called after the reference is updated, so that we can reflect that in our cache
`boolean` | `removeComment(java.lang.String cellRef)`
`void` | `writeTo(java.io.OutputStream out)`

Methods inherited from class org.apache.poi.POIXMLDocumentPart
`createRelationship, createRelationship, getPackagePart, getPackageRelationship, getParent, getRelations, removeRelation, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CommentsTable

    public CommentsTable()

### CommentsTable

    public CommentsTable(PackagePart part,
                         PackageRelationship rel)
                  throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### readFrom

    public void readFrom(java.io.InputStream is)
                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeTo

    public void writeTo(java.io.OutputStream out)
                 throws java.io.IOException

  Throws:
    `java.io.IOException`

### referenceUpdated

    public void referenceUpdated(java.lang.String oldReference,
                                 org.openxmlformats.schemas.spreadsheetml.x2006.main.CTComment comment)

  Called after the reference is updated, so that we can reflect that in our cache

### getNumberOfComments

    public int getNumberOfComments()

### getNumberOfAuthors

    public int getNumberOfAuthors()

### getAuthor

    public java.lang.String getAuthor(long authorId)

### findAuthor

    public int findAuthor(java.lang.String author)

### findCellComment

    public XSSFComment findCellComment(java.lang.String cellRef)

### getCTComment

    public org.openxmlformats.schemas.spreadsheetml.x2006.main.CTComment getCTComment(java.lang.String cellRef)

### newComment

    public org.openxmlformats.schemas.spreadsheetml.x2006.main.CTComment newComment()

### removeComment

    public boolean removeComment(java.lang.String cellRef)

### getCTComments

    public org.openxmlformats.schemas.spreadsheetml.x2006.main.CTComments getCTComments()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD